import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:tempo_test/tempo_test.dart';

void main() {
  const MethodChannel channel = MethodChannel('tempo_test');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await TempoTest.platformVersion, '42');
  });
}
